Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.uniqueid
Interface UniqueIdService

All Superinterfaces:
  Initable, Service

All Known Implementing Classes:
  TurbineUniqueIdService

    public interface UniqueIdService

extends Service

This service provides unique identifiers for the instance of Turbine, and for objects it creates.

Version:
  $Id: UniqueIdService.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Rafal Krzewski

Field Summary
`static String` | `SERVICE_NAME`

Method Summary
`String` | `getInstanceId()` Returs an identifer of this Turbine instance that is unique both on the server and worldwide.
`String` | `getPseudorandomId()` Returns a unique identifier that looks like random data.
`String` | `getUniqueId()` Returns an identifier that is unique within this turbine instance, but does not have random-like apearance.

Methods inherited from interface org.apache.turbine.services.Service
`getConfiguration, getName, getProperties, setName, setServiceBroker`

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, init, setInitableBroker, shutdown`

Field Detail

### SERVICE_NAME

    static final String SERVICE_NAME

See Also:
  Constant Field Values

Method Detail

### getInstanceId

    String getInstanceId()

  Returs an identifer of this Turbine instance that is unique both on the server and worldwide.

  Returns:
    A String with the instance identifier.

### getUniqueId

    String getUniqueId()

  Returns an identifier that is unique within this turbine instance, but does not have random-like apearance.

  This method is intended to work fast; it can be used for creating names of temporary files.

  Returns:
    A String with the non-random looking instance identifier.

### getPseudorandomId

    String getPseudorandomId()

  Returns a unique identifier that looks like random data.

  This method provides indentifiers in a way that makes it hard to guess or count, but still ensures their uniqueness within this instance of Turbine. It can be used for generating cookies or other data that travels back and forth between server and browser, and is potentialy security sensitive.

  Returns:
    A String with the random looking instance identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.